# Class WindowsAccount

java.lang.Object
waffle.windows.auth.WindowsAccount

All Implemented Interfaces:
  `Serializable`

public class WindowsAccount extends Object implements Serializable
A flattened Windows Account used in a Windows principal.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WindowsAccount(IWindowsAccount account)`
Instantiates a new windows account.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getDomain()`
Gets the domain.
`String`
`getFqn()`
Gets the fqn.
`String`
`getName()`
Gets the name.
`String`
`getSidString()`
Gets the sid string.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowsAccount

public WindowsAccount(IWindowsAccount account)
Instantiates a new windows account.

Parameters:
  `account` - the account

## Method Details

### getSidString

public String getSidString()
Gets the sid string.

Returns:
  the sid string

### getFqn

public String getFqn()
Gets the fqn.

Returns:
  the fqn

### getName

public String getName()
Gets the name.

Returns:
  the name

### getDomain

public String getDomain()
Gets the domain.

Returns:
  the domain

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`